package rpcore

import (
	"time"
)

type TaskDoneCallbackFunc func(cpid int64, name string)

type NewTaskConfig struct {
	Name            string
	CmdInfo         *CmdInfoClass
	DoneCallback    TaskDoneCallbackFunc
	ExecTimeout     time.Duration
	ShutdownTimeout time.Duration
	ShutdownActor   GracefulShutdownActor
}

type NewDaemonConfig struct {
	Name              string
	CmdInfo           *CmdInfoClass
	EnableAfterCreate bool
	ShutdownTimeout   time.Duration
	ShutdownActor     GracefulShutdownActor
}
