﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Text.Json;
using System.Text.Json.Serialization;

namespace pmtest_client
{
    public class JsonDef_Req_CreateTask
    {
        [JsonPropertyName("taskName")]
        public string TaskName { get; set; }
        [JsonPropertyName("executablePath")]
        public string ExecutablePath { get; set; }
        [JsonPropertyName("args")]
        public IEnumerable<string> Args { get; set; }
        [JsonPropertyName("workDir")]
        public string WorkDir { get; set; }
        [JsonPropertyName("execTimeout")]
        public int ExecTimeout { get; set; }
    }

    public class JsonDef_Req_CreateDaemon
    {
        [JsonPropertyName("daemonName")]
        public string DaemonName { get; set; }
        [JsonPropertyName("executablePath")]
        public string ExecutablePath { get; set; }
        [JsonPropertyName("args")]
        public IEnumerable<string> Args { get; set; }
        [JsonPropertyName("workDir")]
        public string WorkDir { get; set; }
        [JsonPropertyName("enableAfterCreate")]
        public bool EnableAfterCreate { get; set; }
    }

    public class JsonDef_Req_SetDaemonEnable
    {
        [JsonPropertyName("cpid")]
        public string CPID { get; set; }
        [JsonPropertyName("enable")]
        public bool Enable { get; set; }
    }
}
