package rpcore

import (
	"context"
	"os/exec"
)

type ShutdownInfo struct {
	CPID        int64
	Name        string
	PID         int
	Cmd         *exec.Cmd
	LogEmitFunc func(text string)
}

type GracefulShutdownActor interface {
	Shutdown(info *ShutdownInfo, ctx context.Context) bool
}

type DummyShutdownActor struct {
}

func (d DummyShutdownActor) Shutdown(info *ShutdownInfo, ctx context.Context) bool {
	return false
}
